// die verschiedenen HTML-Elemente für Javascript ansprechbar machen
// beachtet die Benamung, ist hoffentlich selbsterklärend
const burgerButton = document.querySelector("#burger");
const headerNav = document.querySelector("header nav");
// alle Listen-Elemente des Nav-Menüs
const navMenueElements = document.querySelectorAll("nav ul li");

// klickt man auf das Burger-Symbol
// wird das Nav-Menü zuerst ein- und dann wieder ausgeblendet
// "toggle" schaltet die Klasse jeweils ein/aus
burgerButton.addEventListener("click", function () {
  headerNav.classList.toggle("sichtbar");
  burgerButton.classList.toggle("gedreht");
});

// Funktion, die das Ausblenden des Nav-Menüs auslöst
function headerNavWegmachen(ereignis) {
  headerNav.classList.remove("sichtbar");
  burgerButton.classList.remove("gedreht");
}

// egal, auf welchen Menüpunkt man klickt
// wird das Nav-Menü wieder ausgeblendet
navMenueElements.forEach(function (ereignis) {
  ereignis.addEventListener("click", headerNavWegmachen);
});
